> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /homebrew/casks/search

> Search Homebrew casks by keyword

**Price:** 20 credits



## OpenAPI

````yaml /openapi/package-registries.json post /api/homebrew/casks/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/homebrew/casks/search:
    post:
      tags:
        - /homebrew
      summary: /homebrew/casks/search
      description: |-
        Search Homebrew casks by keyword

        **Price:** 20 credits
      operationId: __api_homebrew_casks_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HomebrewCasksSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HomebrewCask'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HomebrewCasksSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    HomebrewCask:
      properties:
        '@type':
          type: string
          default: HomebrewCask
        token:
          type: string
        full_token:
          type: string
          default: ''
        old_tokens:
          items:
            type: string
          type: array
          default: []
        tap:
          type: string
          default: ''
        names:
          items:
            type: string
          type: array
          default: []
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        bundle_version:
          anyOf:
            - type: string
            - type: 'null'
        bundle_short_version:
          anyOf:
            - type: string
            - type: 'null'
        sha256:
          anyOf:
            - type: string
            - type: 'null'
        auto_updates:
          type: boolean
          default: false
        apps:
          items:
            type: string
          type: array
          default: []
        binaries:
          items:
            type: string
          type: array
          default: []
        pkgs:
          items:
            type: string
          type: array
          default: []
        depends_on_formulae:
          items:
            type: string
          type: array
          default: []
        depends_on_casks:
          items:
            type: string
          type: array
          default: []
        macos_requirement:
          anyOf:
            - type: string
            - type: 'null'
        conflicts_with:
          items:
            type: string
          type: array
          default: []
        languages:
          items:
            type: string
          type: array
          default: []
        caveats:
          anyOf:
            - type: string
            - type: 'null'
        is_deprecated:
          type: boolean
          default: false
        deprecation_date:
          anyOf:
            - type: string
            - type: 'null'
        deprecation_reason:
          anyOf:
            - type: string
            - type: 'null'
        deprecation_replacement:
          anyOf:
            - type: string
            - type: 'null'
        is_disabled:
          type: boolean
          default: false
        disable_date:
          anyOf:
            - type: string
            - type: 'null'
        disable_reason:
          anyOf:
            - type: string
            - type: 'null'
        disable_replacement:
          anyOf:
            - type: string
            - type: 'null'
        install_count_30d:
          type: integer
          default: 0
        install_count_90d:
          type: integer
          default: 0
        install_count_365d:
          type: integer
          default: 0
        source_path:
          anyOf:
            - type: string
            - type: 'null'
        generated_date:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - token
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````